static char schalt_jahr_prog[] = "@(#)Testung auf Schaltjahr";
static char schalt_jahr_ver[]  = "@(#)ver 1.00/kr ; 10.04.91";
/* schaltj.c        Funktion int schalt_jahr(int jjjj) , TRUE/FALSE
**
** Autor            Konrad Rupp/Klaus Rath
**
** bergabe         Die Funktion erwartet einen int mit einer Jahreszahl.
**
** Rckgabe         int [TRUE|FALSE]
**
** Anmerkungen      Falls der Funktion eine z.B. eine Jahreszahl 91 bergeben
**                  wird, bezieht sich das Ergebnis der Prfung auf das Jahr
**                  A.D. 91 !!!!
*/

#include "datum.h"

int schalt_jahr(int jjjj)
{
   if (
         (jjjj % 400) == 0  ||
        ((jjjj % 4)   == 0  && (jjjj % 100))
      )
       return(TRUE);
   else
       return(FALSE);
} /* ENDE: schalt_jahr() */


static char anz_schaltjahre_prog[] = "@(#)Anzahl der Schaltjahre bis jjjj";
static char anz_schaltjahre_ver[]  = "@(#)ver 1.00/kr ; 20.05.91";
/* aschaltj.c       Funktion int anz_schaltjahre(int jjjj)
**
** Autor            Konrad Rupp/Klaus Rath
**
** bergabe         Die Funktion erwartet einen int mit einer Jahreszahl.
**
** Rckgabe         int anzahl
**
** Anmerkungen      Falls der Funktion eine z.B. eine Jahreszahl 91 bergeben
**                  wird, bezieht sich das Ergebnis der Prfung auf das Jahr
**                  A.D. 91 !!!!
*/
int  anz_schaltjahre(int jjjj)
{
   jjjj--;

   return( (jjjj / 4) - ((3 * (jjjj / 100)) / 4) );
}

